import request from '@/utils/request'

// 查询标签字段信息列表
export function listLabelfieldinfo(query) {
    return request({
        url: '/manage/labelfieldinfo/list',
        method: 'get',
        params: query
    })
}

// 查询标签字段信息详细
export function getLabelfieldinfo(id) {
    return request({
        url: '/manage/labelfieldinfo/' + id,
        method: 'get'
    })
}

// 新增标签字段信息
export function addLabelfieldinfo(data) {
    return request({
        url: '/manage/labelfieldinfo/add',
        method: 'post',
        data: data
    })
}

// 修改标签字段信息
export function updateLabelfieldinfo(data) {
    return request({
        url: '/manage/labelfieldinfo/edit',
        method: 'put',
        data: data
    })
}

// 删除标签字段信息
export function delLabelfieldinfo(id) {
    return request({
        url: '/manage/labelfieldinfo/' + id,
        method: 'delete'
    })
}
